Skip to content
Last updated

List Carrier Features

Use this endpoint to retrieve a list of features offered by a particular carrier. Features include things like support for spot-quotes, tracking, or scheduled pickups.

Requirements

  • The carrier_code for your LTL carrier. This code will be passed in the URL as a query string.

The carrier codes are mapped to the carriers' SCACs, and many carriers have more than one. The SCACs may correspond to different services or other arrangements that the carrier offers. For more information about the individual SCACs listed, contact the carrier.

You can find a list of carriers and their corresponding carrier codes on the Connect LTL Carrier Accounts page.

Example Request & Response

GET /v-beta/ltl/carriers/:carrier_code/features

GET /v-beta/ltl/carriers/FXFE/features HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__

Example response:

{
    "features": [
        "auto_pro",
        "connect",
        "documents",
        "quote",
        "scheduled_pickup",
        "spot_quote",
        "tracking"
    ]
}